> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send an MDM enrollment request to an employee

> Trigger the Primo-branded MDM enrollment invitation for the employee. By default it is sent to their work email; set `sendToPersonalEmail` to send it to their personal email instead.

<span className="badge-write">Key: Write</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json post /employees/{employeeId}/send-enrollment-request
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /employees/{employeeId}/send-enrollment-request:
    post:
      tags:
        - Employees
      summary: Send an MDM enrollment request to an employee
      description: >-
        Trigger the Primo-branded MDM enrollment invitation for the employee. By
        default it is sent to their work email; set `sendToPersonalEmail` to
        send it to their personal email instead.
      operationId: sendEnrollmentRequest
      parameters:
        - name: employeeId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendEnrollmentRequestBody'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendEnrollmentRequest_Output'
components:
  schemas:
    SendEnrollmentRequestBody:
      type: object
      properties:
        sendToPersonalEmail:
          description: >-
            Send the enrollment link to the employee personal email instead of
            their work email.
          type: boolean
    SendEnrollmentRequest_Output:
      type: object
      properties:
        success:
          type: boolean
          const: true
      required:
        - success
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````